﻿'
' Copyright (c) 2021, MindFusion LLC - Bulgaria.
'


''' <summary>
''' Interaction logic for MainWindow.xaml
''' </summary>
Partial Public Class MainWindow
	Inherits Window
	Public Sub New()
		InitializeComponent()
	End Sub

	Private Sub OnWindowLoaded(ByVal sender As Object, ByVal e As RoutedEventArgs)
		Dim node1 = New OrgChartNode() With { _
		 .Bounds = New Rect(100, 60, 240, 100), _
		 .Title = "CEO", _
		 .FullName = "John Smith", _
		 .Text = "Our beloved leader. " & vbCr & vbLf & "The CEO of this great corporation.", _
		 .Image = New BitmapImage(New Uri("016.png", UriKind.Relative)) _
		}
		Diagram.Nodes.Add(node1)

		Dim node2 = New OrgChartNode() With { _
		 .Bounds = New Rect(220, 220, 240, 100), _
		 .Title = "CIO", _
		 .FullName = "Bob Smith", _
		 .Text = "The CIO of this great corporation.", _
		 .Image = New BitmapImage(New Uri("ac0026-64.png", UriKind.Relative)) _
		}
		Diagram.Nodes.Add(node2)

		Diagram.Factory.CreateDiagramLink(node1, node2)
	End Sub
End Class